! netcdf_attribute.f90 - object-oriented netCDF interface (attribute)
! vi: set sw=4:
! Copyright (C) TOYODA Eizi, 2000.  All rights reserved.
!
! 2000-01-11 Lcpi	

module netcdf_attribute
    use netcdf_error
    use netcdf_file
    use netcdf_variable

    type NC_ATTRIBUTE
    	integer::			varid
	character(len=NF_MAX_NAME)::	name
    end interface

    interface Attribute
    end interface

    interface operator(.EXISTS.)
    	module procedure NetcdfAttributeExists
    end interface

    interface AttributeExists
	module procedure NetcdfGlobalAttributeExists
	module procedure NetcdfVariableAttributeExists
    end interface

    interface assignment(=)
	module procedure NetcdfPutAttributeText
	module procedure NetcdfPutAttributeInt
	module procedure NetcdfPutAttributeReal
	module procedure NetcdfGetAttributeText
	module procedure NetcdfGetAttributeInt
	module procedure NetcdfGetAttributeReal
    end interface

    interface Rename
	module procedure NetcdfRenameAttribute
    end interface

    interface Delete
	module procedure NetcdfDeleteAttribute
    end interface

contains

    logical function NetcdfGlobalAttributeExists(file, name)
	type(NETCDF_FILE), intent(in)::		file
	character(len=*)::			name
    continue
    end function

end module
